Skip to main content

Get rendered config for a device

GET 

/api/v2/device/:deviceId/config

Returns the fully assembled config for the given device by merging the latest ACTIVE revision of its CONFIG project with all applicable ConfigMap revisions. The result is cached in S3 and served from cache when no relevant database changes have occurred. Authenticate with the Device-Auth header.

Request

Path Parameters

    deviceId stringrequired

    Device ID

Responses

Schema

    deviceId stringrequired

    Device ID this config belongs to

    configRevisionId objectrequired

    Revision ID of the device config project used

    semVer object

    Semantic version of the active revision when this config was assembled

    groups objectrequired

    Assembled config groups keyed by group name

    computedAt stringrequired
Loading...